<?php
session_start();
//   
function uploadImage($inputName, $uploadDir)
{
	$image     = $_FILES[$inputName];
	$imagePath = '';
	$thumbnailPath = '';
	
	if (trim($image['tmp_name']) != '') {
		$ext = substr(strrchr($image['name'], "."), 1); 

		$imagePath = md5(rand() * time()) . ".$ext";
		$result    = move_uploaded_file($image['tmp_name'], $uploadDir . $imagePath);
			
		if ($result) {
			$thumbnailPath =  md5(rand() * time()) . ".$ext";
			$result = createThumbnail($uploadDir . $imagePath, $uploadDir . 'thumbnail/' . $thumbnailPath, 100);
			
			if (!$result) {
				unlink($uploadDir . $imagePath);
				$imagePath = $thumbnailPath = '';
			} else {
				$thumbnailPath = $result;
			}
			$image = $thumbnailPath;
			$result1 = createimage($uploadDir . $imagePath, $uploadDir . 'gal/' . $thumbnailPath, 800);
			if (!$result1) {
				unlink($uploadDir . $imagePath);
				$imgPath = $thumbnailPath = '';
			} else {
				$imgPath = $result1;
			}
			
		} else {
			$imagePath = $thumbnailPath = '';
		}
		
	}
	else {
	echo "Ne stava na nivo1";
	}

	unlink($uploadDir . $imagePath);
	return array('image' => $imgPath, 'thumbnail' => $thumbnailPath);
}


function createThumbnail($srcFile, $destFile, $width, $quality = 75)
{
	$thumbnail = '';
	
	if (file_exists($srcFile)  && isset($destFile))
	{
		$size        = getimagesize($srcFile);
		if ($size[1]<$size[0]){
		$w           = number_format($width, 0, ',', '');
		$h           = number_format(($size[1] / $size[0]) * $width, 0, ',', '');
		} else {
		$w           = number_format(($size[0] / $size[1]) * $width, 0, ',', '');
		$h           = number_format($width, 0, ',', '');
		}
		$thumbnail =  copyImage($srcFile, $destFile, $w, $h, $quality);
	}
	else {
	echo "Ne stava na nivo2";
	}
	
	// return the thumbnail file name on sucess or blank on fail
	return basename($thumbnail);
}

function createimage($srcFile, $destFile, $width, $quality = 100)
{
	$thumbnail = '';
	
	if (file_exists($srcFile)  && isset($destFile)){
		$size        = getimagesize($srcFile);
		if ($size[1]<$size[0]){
		 if($size[0]>800){
			$w           = number_format($width, 0, ',', '');
			$h           = number_format(($size[1] / $size[0]) * $width, 0, ',', '');
		 } else {
		 $w				 = number_format($size[0]);
		 $h				 = number_format($size[1]);
		 }
		} else {
			$w           = number_format(($size[0] / $size[1]) * $width, 0, ',', '');
			$h           = number_format($width, 0, ',', '');
		}
		$thumbnail =  copyImage($srcFile, $destFile, $w, $h, $quality);
	}
	else {
	echo "Ne stava na nivo3";
	}
	
	// return the thumbnail file name on sucess or blank on fail
	return basename($thumbnail);
}

function copyImage($srcFile, $destFile, $w, $h, $quality = 75){

    $tmpSrc     = pathinfo(strtolower($srcFile));
    $tmpDest    = pathinfo(strtolower($destFile));
    $size       = getimagesize($srcFile);

    if ($tmpDest['extension'] == "gif" || $tmpDest['extension'] == "jpg")
    {
       $destFile  = substr_replace($destFile, 'jpg', -3);
       $dest      = imagecreatetruecolor($w, $h);
       //imageantialias($dest, TRUE);
    } elseif ($tmpDest['extension'] == "png") {
       $dest = imagecreatetruecolor($w, $h);
       //imageantialias($dest, TRUE);
    } else {
      return false;
    }

    switch($size[2])
    {
       case 1:       //GIF
           $src = imagecreatefromgif($srcFile);
           break;
       case 2:       //JPEG
           $src = imagecreatefromjpeg($srcFile);
           break;
       case 3:       //PNG
           $src = imagecreatefrompng($srcFile);
           break;
       default:
           return false;
           break;
    }
    imagecopyresampled($dest, $src, 0, 0, 0, 0, $w, $h, $size[0], $size[1]);

    switch($size[2])
    {
       case 1:
       case 2:
           imagejpeg($dest,$destFile, $quality);
           break;
       case 3:
           imagepng($dest,$destFile);
    }
    return $destFile;
}

function checkLoginAdmin() {
	if (!isset($_SESSION['bghotelcms']) || $_SESSION['bghotelcms'] == false) {
		header('Location: loging.php');
		exit;
	}
}

function id(){$ID=md5(rand() * time()); return $ID;}

?>